edu.northwestern.at.utils.servlets

## Class XHttpServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - edu.northwestern.at.utils.servlets.XHttpServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class XHttpServlet
      extends javax.servlet.http.HttpServlet

  Extends HttpServlet to map a get request to a post request.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XHttpServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `createRedirectURL(javax.servlet.http.HttpServletResponse response, java.lang.String url, java.lang.String title, java.lang.String success, java.lang.String failure)` Create redirect URL with title, success, and failure strings.
    `protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Map servlet get to servlet post.

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XHttpServlet

          public XHttpServlet()

  - ### Method Detail

    - #### doGet

          protected void doGet(javax.servlet.http.HttpServletRequest request,
                   javax.servlet.http.HttpServletResponse response)
                        throws javax.servlet.ServletException,
                               java.io.IOException

      Map servlet get to servlet post.
      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### createRedirectURL

          public java.lang.String createRedirectURL(javax.servlet.http.HttpServletResponse response,
                                           java.lang.String url,
                                           java.lang.String title,
                                           java.lang.String success,
                                           java.lang.String failure)

      Create redirect URL with title, success, and failure strings.
      Parameters:
        `response` - Servlet response object.
        `url` - Base URL (JSP page or servlet name).
        `title` - Title text.
        `success` - Success message text.
        `failure` - Failure message text.